Retrieves the used part with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
job_part_usage| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| jobs_id |
Foreign key of jobs |
globally unique identifier |
Required |
| article_id |
Foreign key of article. Can be empty if user keys in manually the object |
globally unique identifier | |
| user_id |
Foreign key, user that uses this part |
globally unique identifier |
Required |
| article_stock_location_id |
In case of stock management enabled, the stock that has been used |
globally unique identifier | |
| working_date |
Date when the part has been used |
date | |
| code |
Code of the part (filled by article.code or manually by the user) |
string |
Max length: 255 |
| name |
Name of the part (filled by article.name or manually by the user) |
string |
Max length: 255 |
| description |
Description of the part (filled by article.description or manually by the user) |
string |
Max length: 255 |
| quantity |
Quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| price |
Unit price of the part. Computed with the price logic or filled via purchase_order_details.price |
decimal number | |
| remark |
Remark / Line memo |
string |
Max length: 255 |
| purchase_order_details_id |
Foreign key of purchase_order_details, if the line was generated based on a purchase_order_details |
globally unique identifier | |
| signed_by_company |
Object was included in a job approval and signed (readonly) |
boolean | |
| job_approval_id |
Foreign key to the approval this lines belongs |
globally unique identifier | |
| is_under_warranty |
If the system detects that line was included in the warranty, price will be 0 |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "e2aeba35-e164-48ef-b0fe-bd61163ff4ff",
"jobs_id": "a5adcc3f-6696-4e4e-8389-bbb82156f3b9",
"article_id": "62509e97-57be-451f-b7cc-17649f576bec",
"user_id": "5c57d496-614e-49d8-bf32-6518d4c600c4",
"article_stock_location_id": "60453f93-a965-483a-b30f-d2b79aae7947",
"working_date": "2026-11-10T23:30:26.5168332+00:00",
"code": "sample string 7",
"name": "sample string 8",
"description": "sample string 9",
"quantity": 10.0,
"price": 11.0,
"remark": "sample string 12",
"purchase_order_details_id": "cb029041-9585-40e6-857b-63a9cf62d567",
"signed_by_company": true,
"job_approval_id": "a47c9aa0-ee96-4066-9f39-2a94c1015f7f",
"is_under_warranty": true,
"modified_dateutc": "2026-11-10T23:30:26.5168332+00:00"
}